# INTRODUCTION

Entity Translation Unified Form allows creation of multilingual node content on one form.

# Configuration

Visit the content language page (admin/config/regional/content-language). Next to a content-translatable entity type, enable "Place all content-translatable fields for all enabled languages inline on the node add/edit form". When that box is checked, a new select box will appear for the "Display Mode".

By default, the Inline Mode will be the selected Display Mode. If the "Display Mode" is set to "Tabbed Mode", please see the requirements below.

# Display Modes

There are two display mode plugins included with this module:

* Inline Mode
* Tabbed Mode

Additional modes can be added using the Drupal plugin system. Copy and extend one of the classes in the src/Plugin/EntityTranslationUnifiedFormMode folder to the same subfolder in your own module to add a mode.

## Inline Mode

In this mode, the additional language fields are displayed after the current language field. Field titles are appended with their language in parentheses. i.e. Title (English)

## Tabbed Mode

This mode applies the "A11Y Accordion Tabs" js from https://github.com/matthiasott/a11y-accordion-tabs.

Much of the style and integration was taken and adapted from the "A11Y Paragraphs Tabs" Drupal module: https://www.drupal.org/project/a11y_paragraphs_tabs

### Tabbed Mode Requirements

The A11Y Accordion Tabs js library must be placed in the Drupal /libraries path:

* Download the "A11Y Accordion Tabs" js library:
    https://github.com/matthiasott/a11y-accordion-tabs
* Extract and rename it to "a11y-accordion-tabs", so the assets are at:
    /libraries/a11y-accordion-tabs/a11y-accordion-tabs.js

### Installing A11Y Accordion Tabs using composer

In composer.json under repositories, add the following:
    {
        "type": "package",
        "package": {
            "name": "matthiasott/a11y-accordion-tabs",
            "version": "0.4.1",
            "dist": {
                "url": "https://github.com/matthiasott/a11y-accordion-tabs/archive/v0.4.1.zip",
                "type": "zip"
            },
            "type": "drupal-library"
        }
    },

Then run the following command:
    composer require matthiasott/a11y-accordion-tabs